package org.zxq.teleri.album

import android.content.Context
import android.graphics.Canvas
import android.graphics.Color
import android.graphics.Paint
import android.util.AttributeSet
import android.view.View
import org.zxq.teleri.core.annotation.LogDebug
import org.zxq.teleri.core.utils.LogUtils
import org.zxq.teleri.ui.utils.UIUtils

/**
 * @author JohnFan
 * @date 08/13/2018
 */
class SyncView : View {
    private val num = 4
    private var index = 0
    private var distance: Int = 0
    private lateinit var paintCurrent: Paint
    private lateinit var paintDef: Paint
    private var radius: Int = 0

    constructor(context: Context) : super(context) {
        init()
    }

    constructor(context: Context, attrs: AttributeSet?) : super(context, attrs) {
        init()
    }

    constructor(context: Context, attrs: AttributeSet?, defStyleAttr: Int) : super(context, attrs, defStyleAttr) {
        init()
    }

    private fun init() {
        if (isInEditMode) {
            radius = 3 * 5
            distance = 3 * 7
        } else {
            radius = UIUtils.dip2px(5f)
            distance = UIUtils.dip2px(7f)
        }
        paintCurrent = Paint()
        paintCurrent.style = Paint.Style.FILL
        paintCurrent.color = Color.parseColor("#FFb3b8c1")

        paintDef = Paint()
        paintDef.style = Paint.Style.FILL
        paintDef.color = Color.parseColor("#FFe0e1e4")
    }

    override fun onDraw(canvas: Canvas) {
        if (index >= num) {
            index = 0
        }
        for (i in 0 until num) {
            if (i == index) {
                canvas.drawCircle((radius + (2 * radius + distance) * i).toFloat(), (height / 2).toFloat(), radius.toFloat(), paintCurrent!!)
            } else {
                canvas.drawCircle((radius + (2 * radius + distance) * i).toFloat(), (height / 2).toFloat(), radius.toFloat(), paintDef!!)
            }
        }
        index++
        //跳的间隔速度
        postInvalidateDelayed(500)
    }


    @LogDebug
    override fun onMeasure(widthMeasureSpec: Int, heightMeasureSpec: Int) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec)

        // 1. 获取测量模式（Mode）
        var specMode = MeasureSpec.getMode(widthMeasureSpec)

        // 2. 获取测量大小（Size）
        var specSize = MeasureSpec.getSize(widthMeasureSpec)

        // 3. 通过Mode 和 Size 生成新的SpecMode
//        var measureSpec=MeasureSpec.makeMeasureSpec(size, mode)

        LogUtils.i("fff specMode=$specMode specSize=$specSize")
    }
}
