package org.zxq.teleri.alipay

import android.text.TextUtils
import org.zxq.teleri.alipay.bean.PayResultBean
import org.zxq.teleri.core.utils.Json
import org.zxq.teleri.core.utils.LogUtils
import org.zxq.teleri.model.request.pay.GetPayResultRequest
import rx.Observable
import java.util.concurrent.TimeUnit

class CheckPayResult(val payOrderId: String, val success: () -> Unit, val failed: () -> Unit) {

    var rollNumber = 0;

    init {
        rollNumber = 0;
    }

    /**
     * 轮询结果
     */
    fun queryPayResult() {
        if (TextUtils.isEmpty(payOrderId)) {
            failed();
            return
        }

        GetPayResultRequest(payOrderId, 1).subscribe({ s ->
            var result: PayResultBean? = Json.from(s, PayResultBean::class.java)
            //PayStatus 100未支付，101支付成功，102支付失败
            if (result!!.payStatus == 101) {//成功
                LogUtils.i("queryPayResult-->success >>>" + rollNumber)
                success()
            } else {//失败
                LogUtils.i("queryPayResult-->failed >>>" + rollNumber)

                poll()
            }
        }, { t ->
            LogUtils.i("queryPayResult>>>>>" + rollNumber + "，exception")
            t.printStackTrace()
            LogUtils.i("resp time", "" + System.currentTimeMillis())

            poll()
        })
    }

    fun poll(){
        rollNumber++
        if (rollNumber >= 3) {
            failed()
            return
        }else{
            //延迟10秒
            Observable.just(1).delay(10, TimeUnit.SECONDS).subscribe {
                LogUtils.i("req time", "" + System.currentTimeMillis())
                queryPayResult()
            }
        }
    }
}