/*
 *
 *  *
 *  *  * **************************************************************************************
 *  *  *  *
 *  *  *  *  Project:        ZXQ
 *  *  *  *
 *  *  *  *  Copyright ©     2014-2018 Banma Technologies Co.,Ltd
 *  *  *  *                  All rights reserved.
 *  *  *  *
 *  *  *  *  This software is supplied only under the terms of a license agreement,
 *  *  *  *  nondisclosure agreement or other written agreement with Banma Technologies
 *  *  *  *  Co.,Ltd. Use, redistribution or other disclosure of any parts of this
 *  *  *  *  software is prohibited except in accordance with the terms of such written
 *  *  *  *  agreement with Banma Technologies Co.,Ltd. This software is confidential
 *  *  *  *  and proprietary information of Banma Technologies Co.,Ltd.
 *  *  *  *
 *  *  *  ***************************************************************************************
 *  *  *  *
 *  *  *  *  Header Name:
 *  *  *  *
 *  *  *  *  General Description: Copyright and file header.
 *  *  *  *
 *  *  *  *  Revision History:
 *  *  *  *                           Modification
 *  *  *  *   Author  Deman.LU        Date(MM/DD/YYYY)   JiraID       Description of Changes
 *  *  *  *
 *  *  *  *
 *  *  *  ***************************************************************************************
 *  *
 *
 */

package org.zxq.teleri.pay

import android.app.Activity
import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import org.zxq.teleri.arouter.constant.ARouterUrl
import org.zxq.teleri.compoentservice.pay.IPayProvider
import org.zxq.teleri.compoentservice.pay.OnPayResultListener
import org.zxq.teleri.core.utils.LogUtils
import org.zxq.teleri.pay.alibaba.AliPayPorvider

/**
 *   @author     Deman.LU
 *   @date       2019/4/18
 *   后面实现多个支付方式，可在此页面扩张，看需要可使用工厂模式
 */
@Route(path = ARouterUrl.URL_PAY_MANAGER)
class PayProvider:IPayProvider {

    var iProvider:IPayProvider? = null

    override fun pay(activity: Activity,payOrderId:String,pay_redirect_url: String, onPayResultListener: OnPayResultListener) {
//        PayLog.i("${activity.localClassName},$pay_redirect_url")
        LogUtils.i("${activity.localClassName},$pay_redirect_url")
        iProvider?.pay(activity,payOrderId,pay_redirect_url,onPayResultListener)
    }

    override fun init(context: Context?) {
        iProvider = AliPayPorvider()
        iProvider?.init(context)
    }
}