/*
 *
 *  *
 *  *  * **************************************************************************************
 *  *  *  *
 *  *  *  *  Project:        ZXQ
 *  *  *  *
 *  *  *  *  Copyright ©     2014-2018 Banma Technologies Co.,Ltd
 *  *  *  *                  All rights reserved.
 *  *  *  *
 *  *  *  *  This software is supplied only under the terms of a license agreement,
 *  *  *  *  nondisclosure agreement or other written agreement with Banma Technologies
 *  *  *  *  Co.,Ltd. Use, redistribution or other disclosure of any parts of this
 *  *  *  *  software is prohibited except in accordance with the terms of such written
 *  *  *  *  agreement with Banma Technologies Co.,Ltd. This software is confidential
 *  *  *  *  and proprietary information of Banma Technologies Co.,Ltd.
 *  *  *  *
 *  *  *  ***************************************************************************************
 *  *  *  *
 *  *  *  *  Header Name:
 *  *  *  *
 *  *  *  *  General Description: Copyright and file header.
 *  *  *  *
 *  *  *  *  Revision History:
 *  *  *  *                           Modification
 *  *  *  *   Author  Deman.LU        Date(MM/DD/YYYY)   JiraID       Description of Changes
 *  *  *  *
 *  *  *  *
 *  *  *  ***************************************************************************************
 *  *
 *
 */

package org.zxq.teleri.pay.alibaba

import android.text.TextUtils

class PayResult(var rawResult: Map<String, String>) {
    /**
     * @return the resultStatus
     */
    var resultStatus: String? = null
        private set
    /**
     * @return the result
     */
    var result: String? = null
        private set
    /**
     * @return the memo
     */
    var memo: String? = null
        private set

    init {
        rawResult.let {it->
            for (key in it.keys) {
                when {
                    TextUtils.equals(key, "resultStatus") -> resultStatus = it[key]
                    TextUtils.equals(key, "result") -> result = it[key]
                    TextUtils.equals(key, "memo") -> memo = it[key]
                }
            }
        }


    }

    override fun toString(): String {
        return ("resultStatus={" + resultStatus + "};memo={" + memo
                + "};result={" + result + "}")
    }
}
