package org.zxq.teleri.bindcar

import android.arch.lifecycle.Observer
import android.content.Intent
import android.os.Bundle
import android.text.Editable
import android.text.TextWatcher
import android.view.View
import android.widget.Button
import android.widget.TextView
import org.zxq.teleri.R
import org.zxq.teleri.ui.base.SimpleBaseActivity
import org.zxq.teleri.ui.utils.ToastUtil
import org.zxq.teleri.ui.widget.ClearEditText

class InputMobile4UnbindCarActivity:SimpleBaseActivity() {

    var owner:Boolean=false
    lateinit var vin:String

    lateinit var mMobileET:ClearEditText
    lateinit var mNextBtn: Button
    lateinit var describeTextView:TextView
    lateinit var presenter:UnBindCarPresenter

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_input_mobile_4_unbind_car)

        presenter = UnBindCarPresenter()

        owner = intent.getBooleanExtra("owner",false)
        vin = intent.getStringExtra("vin")

        initView()
        initData()
        bindEvent()
    }

    fun initView(){
        mMobileET = findViewById(R.id.mobile_ET)
        mNextBtn = findViewById(R.id.next)
        describeTextView = findViewById(R.id.describe_text_view)
    }

    fun initData(){
        if(owner){
            setTitle(R.string.unbind_title_4_self)
            describeTextView.setText(R.string.unbind_mobile_tip)
        }else{
            setTitle(R.string.unbind_title_4_other)
            describeTextView.setText(R.string.unbind_mobile_tip_other)
        }
    }

    fun bindEvent(){
        findViewById<View>(R.id.back).setOnClickListener(this)
        mMobileET.addTextChangedListener(object : TextWatcher{
            override fun afterTextChanged(s: Editable?) {
            }

            override fun onTextChanged(s: CharSequence?, start: Int, before: Int, count: Int) {
                mNextBtn.isEnabled = s!!.length == 11
            }

            override fun beforeTextChanged(s: CharSequence?, start: Int, count: Int, after: Int) {
            }
        })

        mNextBtn.setOnClickListener { v->
            getCode()
        }
    }

    fun getCode(){
        showLoadingDialog()
        var mobile = mMobileET.text.toString()
        presenter.getCode4UnbindCar(owner,vin, mobile).observe(this, Observer<Boolean> {
            if(it!=null){
                closeLoadingDialog()
                if(it){
                    ToastUtil.show("手机验证码已发送，请查看手机")
                    var intent = Intent(this,InputCode4UnbindCarActivity::class.java)
                    intent.putExtras(getIntent())
                    intent.putExtra("mobile",mobile)
                    startActivity(intent)
                }
            }
        })

    }
}
