package org.zxq.teleri.bindcar

import android.app.Activity
import android.arch.lifecycle.LiveData
import android.arch.lifecycle.MutableLiveData
import android.content.DialogInterface
import android.content.Intent
import android.text.TextUtils
import com.ebanma.sdk.core.constant.Platform
import io.reactivex.disposables.CompositeDisposable
import io.reactivex.functions.Consumer
import org.zxq.teleri.bean.VinInfoBean
import org.zxq.teleri.core.Framework
import org.zxq.teleri.core.ex.OnErrorResponse
import org.zxq.teleri.mainentrance.MainPresenter
import org.zxq.teleri.model.request.user.SendsmsForUnbindCarRequest
import org.zxq.teleri.model.request.user.UnBindCarRequest
import org.zxq.teleri.personalcenter.PCHelper
import org.zxq.teleri.repo.account.model.UserInfoB
import org.zxq.teleri.ui.widget.ZXQProgressDialog

class UnBindCarPresenter {

    val mCompositeDisposable = CompositeDisposable()


    private var codeResultLiveData:MutableLiveData<Boolean> = MutableLiveData();
    private var unBindCarResultLiveData:MutableLiveData<Boolean> = MutableLiveData();

    fun getCode4UnbindCar(owner:Boolean,vin:String,mobile:String):LiveData<Boolean>{
        codeResultLiveData = MutableLiveData();
        var dispose = SendsmsForUnbindCarRequest(vin, mobile, owner).subscribe(Consumer<String>{
            try {
                codeResultLiveData.postValue(it.toBoolean())
            }catch (ex:Exception){
                codeResultLiveData.postValue(false)
            }
        }, Consumer<Throwable> {
            OnErrorResponse.getInstance().accept(it)
            codeResultLiveData.postValue(false)
        })
        mCompositeDisposable.add(dispose);
        return codeResultLiveData;
    }

    fun unBindCar(owner:Boolean,vin:String,mobile:String,code:String,certCode:String):LiveData<Boolean>{
        unBindCarResultLiveData = MutableLiveData();
        var dispose = UnBindCarRequest(vin,mobile,code,owner,certCode).subscribe(Consumer<String>{

            try {
                if(it.toBoolean()){
                    if(owner){
                        val vinListCache = PCHelper.getVinListCache()
                        var vinBean:VinInfoBean? = null;
                        for (bean in vinListCache!!) {
                            if (bean.vin == vin) {
                                vinBean = bean
                                break
                            }
                        }
                        if(vinBean!=null){
                            vinListCache.remove(vinBean);
                        }
                        PCHelper.updateBoundLisCache(vinListCache)

                        if(vin == Framework.getAccountInject().vin) {
                            MainPresenter.getInstance().vehicleInfoBean = null

                            val account = Framework.getAccount(Platform.B)
                            if (account is UserInfoB) {
                                account.vin = ""
                            }
                        }
                    }

                    unBindCarResultLiveData.postValue(true)
                }else{
                    unBindCarResultLiveData.postValue(false)
                }
            }catch (ex:Exception){
                unBindCarResultLiveData.postValue(false)
            }
        }, Consumer<Throwable> {
            OnErrorResponse.getInstance().accept(it)
            unBindCarResultLiveData.postValue(false)
        })
        mCompositeDisposable.add(dispose);

        return unBindCarResultLiveData;
    }

    fun destory(){
        mCompositeDisposable.dispose();
    }
}