package org.zxq.teleri.bindcar

import android.content.Intent
import android.os.Bundle
import android.view.View
import android.webkit.WebView
import android.widget.Button
import android.widget.CheckBox
import android.widget.CompoundButton
import io.reactivex.functions.Consumer
import org.json.JSONArray
import org.zxq.teleri.R
import org.zxq.teleri.bean.DiscoveryServiceBean
import org.zxq.teleri.core.ex.OnErrorResponse
import org.zxq.teleri.core.utils.Json
import org.zxq.teleri.core.utils.SPHelper
import org.zxq.teleri.model.request.open.UnbindTipUrlRequest
import org.zxq.teleri.ui.base.SimpleBaseActivity
import org.zxq.teleri.ui.utils.AppUtils
import org.zxq.teleri.ui.utils.ToastUtil

class UnBindCarTipActivity: SimpleBaseActivity() {

    var owner:Boolean = false;
    lateinit var vin:String;

    lateinit var mReadInfoV:CheckBox;
    lateinit var mUnbindBtn:Button
    lateinit var instructionWv:WebView

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_unbind_car_tip)

        initArgments();
        initView();
        initData();
        bindEvent();
    }

    fun initArgments(){
        owner = intent.getBooleanExtra("owner",false)
        vin = intent.getStringExtra("vin")
    }

    fun initView(){
        mReadInfoV = findViewById<CheckBox>(R.id.read_info)
        mUnbindBtn = findViewById(R.id.btn_unbind)
//        instructionWv = findViewById(R.id.wv_instruction)
    }

    fun initData(){
        setTitle(R.string.unbind_title_4_self)

//        UnbindTipUrlRequest().subscribe(Consumer {
//            try {
//                val jsonArray = JSONArray(it)
//                if (jsonArray.length() > 0) {
//                    val jsonObject = jsonArray.getJSONObject(0)
//                    val fileData = jsonObject.getString("fileData")
//                    val jsonArrObj = JSONArray(fileData)
//                    val result = jsonArrObj.getJSONObject(0)
//                    val url=result.getString("url")
//                    instructionWv.loadUrl(url)
//                }
//            } catch (e: Exception) {
//                e.printStackTrace()
//            }
//
//        }, Consumer {
//            OnErrorResponse.getInstance().accept(it)
//        })
    }

    fun bindEvent(){
        findViewById<View>(R.id.back).setOnClickListener(this)
//        mReadInfoV.setOnCheckedChangeListener { _, isChecked ->
//            mUnbindBtn.isEnabled = isChecked
//        }

        mUnbindBtn.setOnClickListener{v->
            if(mReadInfoV.isChecked) {
                var intent = Intent(this, InputMobile4UnbindCarActivity::class.java);
                intent.putExtras(getIntent())
                startActivity(intent)
            }else{
                ToastUtil.show("请先勾选【我已阅读以上解绑须知】")
            }
        }
    }
}