package org.zxq.teleri.collectionaddress

import android.content.Intent
import android.os.Bundle
import android.support.v7.widget.LinearLayoutManager
import android.support.v7.widget.RecyclerView
import android.view.View
import android.widget.Button
import android.widget.ImageView
import android.widget.LinearLayout
import org.zxq.teleri.R
import org.zxq.teleri.activity.SystemSettingActivity
import org.zxq.teleri.collectionaddress.adapter.OtherCollectionAdapter
import org.zxq.teleri.collectionaddress.bean.CollectionAddressBean
import org.zxq.teleri.common.tools.LoggerUtils
import org.zxq.teleri.ui.base.SimpleBaseActivity
import org.zxq.teleri.ui.customlistener.OnItemClickListener

/**
 * Created by leixiong on 2018/11/6.
 */
class CollectionAddressActivity : SimpleBaseActivity(), View.OnClickListener,CollectionAddressContract.View{



    lateinit var iv_privacy_close: ImageView
    lateinit var ll_privacy: LinearLayout
    lateinit var bt_goto_setting: Button
    lateinit var rv_other_collection: RecyclerView
    private lateinit var presenter :CollectionAddressContract.Presenter

    override fun setPresenter(presenter:CollectionAddressContract.Presenter) {
        this.presenter=presenter
    }
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        initView()
        setTitle(R.string.collection_address)
        registerEvent()
        initData()
    }

    fun initView() {
        setContentView(R.layout.activity_collection_address)
        //隐私关闭imageview
        iv_privacy_close = findViewById(R.id.iv_privacy_close)
        //隐私开关view
        ll_privacy = findViewById(R.id.ll_privacy)
        bt_goto_setting = findViewById(R.id.bt_goto_setting)
        rv_other_collection =findViewById(R.id.rv_other_collection)
    }

    fun registerEvent() {
        iv_privacy_close.setOnClickListener(this)
        bt_goto_setting.setOnClickListener(this)
    }

    fun initData() {
        presenter=CollectionAddressPresenter(this)
        var otherList=ArrayList<CollectionAddressBean>()

        for(i in 1..80){
            val collectionAddressBean = CollectionAddressBean()
            collectionAddressBean.poiName="北京"+i
            collectionAddressBean.poiAddress="天安门111号"+1
            otherList.add(collectionAddressBean)
        }

        val otherAdapter=OtherCollectionAdapter(this,otherList)
        otherAdapter.setOnItemClickListener(OnItemClickListener {
            _, position ->
            gotoEditCollectionAddress(otherList.get(position))
        })
        rv_other_collection.layoutManager=LinearLayoutManager(this)
        rv_other_collection.adapter=otherAdapter

    }


    override fun onClick(v: View?) {
        super.onClick(v)
        when (v?.id) {
            R.id.iv_privacy_close -> {
                LoggerUtils.d("sfds")
                ll_privacy.visibility = View.GONE
            }
            R.id.bt_goto_setting -> {
                val startSystemIntent = Intent(this, SystemSettingActivity::class.java)
                startSystemIntent.putExtra("keyTest", "逗逼")
                startActivity(startSystemIntent)
            }
        }
    }

   fun gotoEditCollectionAddress(bean: CollectionAddressBean){
        var gotoEditAddressIntent=Intent(this,EditCollectionAddressActivity::class.java)
       gotoEditAddressIntent.putExtra(EditCollectionAddressActivity.DATABEAN,bean)
       startActivity(gotoEditAddressIntent)

   }

    override fun showCollectionAddress() {
    }

    override fun showLoading() {
    }

    override fun closeLoading() {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun showCollectionError() {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun onDestroy() {
        super.onDestroy()
        presenter.destroy()
    }
}

