package org.zxq.teleri.collectionaddress

import android.os.Bundle
import android.text.TextUtils
import android.view.View
import android.widget.TextView
import org.zxq.teleri.R
import org.zxq.teleri.collectionaddress.bean.CollectionAddressBean
import org.zxq.teleri.ui.base.SimpleBaseActivity
import org.zxq.teleri.ui.customlistener.SimpleTextWatcher
import org.zxq.teleri.utils.ZXQUtils
import org.zxq.teleri.ui.widget.ClearEditText

/**
 * Created by leixiong on 2018/11/27.
 */
class EditCollectionAddressActivity : SimpleBaseActivity() {
    companion object {
        val DATABEAN = "bean"
    }

    lateinit var tv_poi_name: TextView
    lateinit var tv_poi_address: TextView
    lateinit var et_remark: ClearEditText
    lateinit var tv_error_msg: TextView
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        initView()
        initEvent()
        initData()
    }

    fun initView() {
        setContentView(R.layout.activity_edit_collection_address)
        setTitle(R.string.collection_address)
        tv_poi_name = findViewById(R.id.tv_poi_name)
        tv_error_msg = findViewById(R.id.tv_error_msg)
        tv_poi_address = findViewById(R.id.tv_poi_address)
        et_remark = findViewById(R.id.et_remark)
    }

    fun initData() {
        val dataBean = intent?.getParcelableExtra<CollectionAddressBean>(DATABEAN)
        tv_poi_name.setText(dataBean?.poiName)
        tv_poi_address.setText(dataBean?.poiAddress)
    }

    fun initEvent() {
        et_remark.addTextChangedListener(object : SimpleTextWatcher() {
            override fun onTextChanged(s: CharSequence?, start: Int, before: Int, count: Int) {
                var content = s.toString()
                if (TextUtils.isEmpty(content)) return
                var isCheck = ZXQUtils.checkChineseEnglish(content)
                showErrorView(!isCheck)

            }
        })
    }

    fun showErrorView(isShowErrorView: Boolean) {
        tv_error_msg.visibility = if (isShowErrorView) View.VISIBLE else View.GONE
    }
}