package org.zxq.teleri.dialog

import android.content.Context
import android.graphics.drawable.ColorDrawable
import android.os.CountDownTimer
import android.view.View
import android.widget.ImageView
import android.widget.PopupWindow
import android.widget.TextView
import org.zxq.teleri.R
import org.zxq.teleri.secure.utils.SPUtils
import org.zxq.teleri.ui.utils.UIUtils
import org.zxq.teleri.widget.BMSpannableString

/**
 *Created by cyc on 2020-02-26.
 */
class BMUVAntiVirusPopWindow(private val context: Context) : PopupWindow(context) {

    private var mCountDownTimer: CountDownTimer
    private var measuredWidth: Int

    init {
        val mContentView = View.inflate(context, R.layout.popup_window_uv_antivrius_view, null)
        val ivClose = mContentView.findViewById<ImageView>(R.id.ivClose)
        val tvContent = mContentView.findViewById<TextView>(R.id.tvContent)
        mCountDownTimer = object : CountDownTimer(120 * 1000 + 300, 60 * 1000) {
            override fun onTick(millisUntilFinished: Long) {}
            override fun onFinish() {
                if (isShowing) {
                    dismiss()
                }
            }
        }.start()
        val textContent = BMSpannableString(context, context.getString(R.string.remote_control_open_uv))
                .first(context.getString(R.string.no_hint)).onClick(tvContent) {
                    SPUtils.putBoolean(SPUtils.ZXQ_SETTINGS,
                            SPUtils.UV_DISINFECTION_FIRST_HINT,
                            true)
                    dismiss()
                }.textColor(R.color.color_FFFFD58A)
        tvContent.text = textContent
        ivClose.setOnClickListener {
            dismiss()
        }
        this.contentView = mContentView
        //设置SelectPicPopupWindow弹出窗体动画效果
        this.animationStyle = R.style.AnimRight
        this.setBackgroundDrawable(ColorDrawable(android.graphics.Color.TRANSPARENT))
        this.isFocusable = false
        this.isTouchable = true
        isOutsideTouchable = false

        mContentView.measure(View.MeasureSpec.UNSPECIFIED, View.MeasureSpec.UNSPECIFIED)
        measuredWidth = mContentView.measuredWidth
    }

    override fun dismiss() {
        super.dismiss()
        mCountDownTimer.cancel()
    }

    fun destroy() {
        if (isShowing) {
            dismiss()
        }
    }

    /**
     *
     * @param pw     popupWindow
     * @param anchor v
     */
    fun show(anchor: View) {
        super.showAsDropDown(anchor,
                UIUtils.getScreenWidth() - measuredWidth - UIUtils.dip2px(24f),
                -UIUtils.dip2px(9f))
    }

}