package org.zxq.teleri.discovery.view

import android.content.Context
import android.util.AttributeSet
import android.view.View
import android.webkit.WebResourceError
import android.webkit.WebResourceRequest
import android.webkit.WebView
import android.webkit.WebViewClient
import android.widget.RelativeLayout
import org.zxq.teleri.R
import org.zxq.teleri.core.utils.LogUtils
import org.zxq.teleri.web.js.BaseJsCallBack
import org.zxq.teleri.web.js.RoadTripJsCallBack

/**
 * Created by tang.hui on 2018/12/19
 * @Description 发现页面游记路书web卡片
 */
class DiscoveryWebCard(context: Context, attributeSet: AttributeSet) : RelativeLayout(context, attributeSet) {

    private var mWebView: WebView? = null

    fun initView() {
        if(visibility == View.VISIBLE){
            return
        }
        removeAllViews()
        visibility = View.VISIBLE
        val view = View.inflate(context, R.layout.discovery_web_card, this)
        mWebView = view.findViewById(R.id.web_view)
        mWebView!!.setBackgroundColor(0)
        mWebView!!.clearFocus()
        mWebView!!.webViewClient = object : WebViewClient() {
            override fun onReceivedError(view: WebView, request: WebResourceRequest, error: WebResourceError) {
                super.onReceivedError(view, request, error)
                visibility = View.GONE
                LogUtils.w("DiscoveryWebCard onReceivedError")
            }
        }
        val mJsCallBack = RoadTripJsCallBack(context, mWebView, this)
        mWebView!!.addJavascriptInterface(mJsCallBack, BaseJsCallBack.JS_CALLBACK_NAME)

    }

    fun loadData(url: String) {
        mWebView!!.loadUrl(url)
    }

    fun reload() {
        mWebView!!.reload()
    }

    fun destroy() {
        if (mWebView == null) {
            return
        }
        mWebView!!.removeAllViews()
        mWebView!!.stopLoading()
        mWebView!!.destroy()
        removeAllViews()
        visibility = View.GONE
    }

    override fun onDetachedFromWindow() {
        destroy()
        super.onDetachedFromWindow()
    }


}

