package org.zxq.teleri.http.request

import com.ebanma.sdk.core.domain.DomainUtil
import io.reactivex.Observable
import org.zxq.teleri.core.utils.Json
import org.zxq.teleri.http.ApiService
import org.zxq.teleri.model.request.OemAPI

/**
 * Created by tang.hui on 2020-03-17
 */
class CheckPinCodeRequest(var pin: String) : BaseRequestB<String>() {

    var token: String = DomainUtil.getToken(bizType)
    var timestamp: String = System.currentTimeMillis().toString()
    var vin: String = ""

    override fun getBizType(): DomainUtil.BizType {
        return DomainUtil.BizType.user
    }

    override fun getApiMethod(): String {
        return OemAPI.CHECK_PIN_CODE
    }

    override fun getApiVersion(): String {
        return "1.1"
    }

    override fun getUrl(): String {
        val map = mutableMapOf<String, String>()
        map["token"] = DomainUtil.getToken(DomainUtil.BizType.user)
        map["timestamp"] = System.currentTimeMillis().toString()
        map["vin"] = vin
        map["pin"] = pin
        return super.getUrl() + "?data=" + Json.to(map)
    }

    override fun prepare(): Observable<String> {
        return ApiService.instance.post(url)
    }


}