package org.zxq.teleri.main.route

import com.ebanma.sdk.authoritymanager.BMAuthorizationManagerSDK
import com.ebanma.sdk.authoritymanager.listener.ErrorHandlerListener
import com.ebanma.sdk.authoritymanager.utils.BMAuthorizationSdkUtils
import org.zxq.teleri.core.constant.RouteUrl
import org.zxq.teleri.core.ex.OnErrorResponse
import org.zxq.teleri.core.route.RouteHandler
import org.zxq.teleri.core.route.RouteRequest
import org.zxq.teleri.core.utils.ContextPool

/**
 * Created by leixiong on 2019/6/24.
 */
class AuthorizationManagerHandler : RouteHandler{
    override fun getUrl(): String {

        return  RouteUrl.URL_MAIN_AUTHORIZATION_MANAGER
    }

    override fun execute(request: RouteRequest?): Boolean {
        BMAuthorizationManagerSDK.getBMAuthorizationService().open(ContextPool.peek())
        BMAuthorizationManagerSDK.getBMAuthorizationService().setErrorHandlerListener(object :ErrorHandlerListener{
            override fun onError(errorContent: String) {

                OnErrorResponse.getInstance().accept(BMAuthorizationSdkUtils.getErrorMessageBean(errorContent))
            }

        })
        return true
    }

}