package org.zxq.teleri.main.route

import org.zxq.teleri.core.constant.RouteUrl
import org.zxq.teleri.core.route.RouteHandler
import org.zxq.teleri.core.route.RouteRequest
import org.zxq.teleri.homepage.cardetail.ViewType
import org.zxq.teleri.mainentrance.MainPresenter
import org.zxq.teleri.msg.message.IntelligenceMessage

/*
 * **************************************************************************************
 *  *
 *  *  Project:        ZXQ
 *  *
 *  *  Copyright ©     2014-2018 Banma Technologies Co.,Ltd
 *  *                  All rights reserved.
 *  *
 *  *  This software is supplied only under the terms of a license agreement,
 *  *  nondisclosure agreement or other written agreement with Banma Technologies
 *  *  Co.,Ltd. Use, redistribution or other disclosure of any parts of this
 *  *  software is prohibited except in accordance with the terms of such written
 *  *  agreement with Banma Technologies Co.,Ltd. This software is confidential
 *  *  and proprietary information of Banma Technologies Co.,Ltd.
 *  *
 *  ***************************************************************************************
 *  *
 *  *  Header Name:
 *  *
 *  *  General Description: Copyright and file header.
 *  *
 *  *  Revision History:
 *  *                           Modification
 *  *   Author                Date(MM/DD/YYYY)   JiraID           Description of Changes
 *  *
 *  *
 *  ***************************************************************************************
 */

class CarControlHandler :RouteHandler{


    override fun getUrl(): String {
        return RouteUrl.URL_MAIN_CAR_CONTROL
    }

    override fun execute(request: RouteRequest): Boolean {
        when(request.data){
            IntelligenceMessage.HEAT -> MainPresenter.getInstance().callCarControl(ViewType.TYPE_TEM_UP)
            else  ->MainPresenter.getInstance().callCarControl(ViewType.TYPE_TEM_DOWN)
        }
        return true
    }
}