/*
 *
 *  * **************************************************************************************
 *  *  *
 *  *  *  Project:        ZXQ
 *  *  *
 *  *  *  Copyright ©     2014-2018 Banma Technologies Co.,Ltd
 *  *  *                  All rights reserved.
 *  *  *
 *  *  *  This software is supplied only under the terms of a license agreement,
 *  *  *  nondisclosure agreement or other written agreement with Banma Technologies
 *  *  *  Co.,Ltd. Use, redistribution or other disclosure of any parts of this
 *  *  *  software is prohibited except in accordance with the terms of such written
 *  *  *  agreement with Banma Technologies Co.,Ltd. This software is confidential
 *  *  *  and proprietary information of Banma Technologies Co.,Ltd.
 *  *  *
 *  *  ***************************************************************************************
 *  *  *
 *  *  *  Header Name:
 *  *  *
 *  *  *  General Description: Copyright and file header.
 *  *  *
 *  *  *  Revision History:
 *  *  *                           Modification
 *  *  *   Author  Deman.LU        Date(MM/DD/YYYY)   JiraID       Description of Changes
 *  *  *
 *  *  *
 *  *  ***************************************************************************************
 *
 */

package org.zxq.teleri.main.route

import com.ebanma.sdk.bmbanmaindex.BMBanmaIndexSDK
import com.ebanma.sdk.bmbanmaindex.listener.ErrorHandlerListener
import com.ebanma.sdk.bmbanmaindex.utils.BMBanmaIndexSdkUtils
import org.zxq.teleri.core.constant.RouteUrl
import org.zxq.teleri.core.ex.OnErrorResponse
import org.zxq.teleri.core.route.RouteHandler
import org.zxq.teleri.core.route.RouteRequest
import org.zxq.teleri.core.utils.ContextPool


/**
 *   @author     Deman.LU
 *   @Date       18/8/30
 *
 */
class DriverBehaviorHandler : RouteHandler {
    override fun getUrl(): String = RouteUrl.URL_MAIN_DRIVING_BEHAVIOR

    override fun execute(request: RouteRequest): Boolean {
        BMBanmaIndexSDK.getBMBanmaIndexService().open(ContextPool.peek())
        BMBanmaIndexSDK.getBMBanmaIndexService().setErrorHandlerListener(object : ErrorHandlerListener {
            override fun onError(errorContent: String) {
                OnErrorResponse.getInstance().accept(BMBanmaIndexSdkUtils.getErrorMessageBean(errorContent))
            }

        })
        return true
    }


}