/*
 *
 *  * **************************************************************************************
 *  *  *
 *  *  *  Project:        ZXQ
 *  *  *
 *  *  *  Copyright ©     2014-2018 Banma Technologies Co.,Ltd
 *  *  *                  All rights reserved.
 *  *  *
 *  *  *  This software is supplied only under the terms of a license agreement,
 *  *  *  nondisclosure agreement or other written agreement with Banma Technologies
 *  *  *  Co.,Ltd. Use, redistribution or other disclosure of any parts of this
 *  *  *  software is prohibited except in accordance with the terms of such written
 *  *  *  agreement with Banma Technologies Co.,Ltd. This software is confidential
 *  *  *  and proprietary information of Banma Technologies Co.,Ltd.
 *  *  *
 *  *  ***************************************************************************************
 *  *  *
 *  *  *  Header Name:
 *  *  *
 *  *  *  General Description: Copyright and file header.
 *  *  *
 *  *  *  Revision History:
 *  *  *                           Modification
 *  *  *   Author  Deman.LU        Date(MM/DD/YYYY)   JiraID       Description of Changes
 *  *  *
 *  *  *
 *  *  ***************************************************************************************
 *
 */

package org.zxq.teleri.main.route

import org.zxq.teleri.account.datamodel.AccountHelper
import org.zxq.teleri.account.datamodel.UserLogin
import org.zxq.teleri.core.constant.RouteUrl
import org.zxq.teleri.core.route.RouteHandler
import org.zxq.teleri.core.route.RouteRequest
import org.zxq.teleri.core.utils.LogUtils

/**
 *   @author     Deman.LU
 *   @Date       2018/11/20
 *
 */
class RegisterOemDeviceIdHandler: RouteHandler {
    override fun getUrl(): String = RouteUrl.URL_MAIN_REGISTER_OEM

    override fun execute(request: RouteRequest): Boolean {
        LogUtils.i("deviceToken RegisterOemDeviceIdHandler B")
        AccountHelper.registDeviceIdSMPV( UserLogin.getAccountB())
        return true
    }
}