/*
 * **************************************************************************************
 *  *
 *  *  Project:        ZXQ
 *  *
 *  *  Copyright ©     2014-2017 Banma Technologies Co.,Ltd
 *  *                  All rights reserved.
 *  *
 *  *  This software is supplied only under the terms of a license agreement,
 *  *  nondisclosure agreement or other written agreement with Banma Technologies
 *  *  Co.,Ltd. Use, redistribution or other disclosure of any parts of this
 *  *  software is prohibited except in accordance with the terms of such written
 *  *  agreement with Banma Technologies Co.,Ltd. This software is confidential
 *  *  and proprietary information of Banma Technologies Co.,Ltd.
 *  *
 *  ***************************************************************************************
 *  *
 *  *  Header Name:
 *  *
 *  *  General Description: Copyright and file header.
 *  *
 *  *  Revision History:
 *  *                           Modification
 *  *   Author                Date(MM/DD/YYYY)   JiraID           Description of Changes
 *  *
 *  *
 *  ***************************************************************************************
 */
package org.zxq.teleri.maintain

import com.alibaba.android.arouter.facade.annotation.Route
import android.os.Bundle
import android.taobao.windvane.jsbridge.WVPluginManager
import org.zxq.teleri.arouter.constant.ARouterUrl
import org.zxq.teleri.core.AppConfig
import org.zxq.teleri.core.model.ShareData
import org.zxq.teleri.ui.windvareweb.BasicWebActivity
import org.zxq.teleri.windvareweb.plugin.BMMaintainJSBridge
import org.zxq.teleri.windvareweb.plugin.BMOrderListJSBridge
import org.zxq.teleri.windvareweb.plugin.WVJsBrideManager

/**
 * Created by JiaJia on 2018/4/18. 养车
 */
@Route(path = ARouterUrl.URL_MAINTAIN)
class MaintainWebActivity : BasicWebActivity(){
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setTransparentStatusBar()
        try {
            WVPluginManager.registerPlugin(WVJsBrideManager.BM_ORDERLIST_JS_BRIDGE, BMOrderListJSBridge::class.java)
            WVPluginManager.registerPlugin(WVJsBrideManager.BM_MAINTAIN_JS_BRIDGE, BMMaintainJSBridge::class.java)
        } catch (e: Exception) {
        }
    }

    override fun resetWebData() {
        basicWebData.isShowTitle = false
        basicWebData.isShare = false

        if(basicWebData.url.isEmpty()){
            basicWebData.url = AppConfig.URL_H5_BASE + "/maintain"
        }

//        basicWebData.url = "https://daily.h5.zebred.com/zxq/index.html#/maintain"   //test
    }

    override fun onDestroy() {
        try {
            WVPluginManager.unregisterPlugin(WVJsBrideManager.BM_ORDERLIST_JS_BRIDGE)
            WVPluginManager.unregisterPlugin(WVJsBrideManager.BM_MAINTAIN_JS_BRIDGE)
        } catch (e: Exception) {
        }
        super.onDestroy()

    }

    override fun configShareChannel(data: ShareData) {
        super.configShareChannel(data)
        data.channel = data.channel or ShareData.CHANNEL_COPYLINK
    }
}
