package org.zxq.teleri.orders.activity

import android.os.Bundle
import android.taobao.windvane.jsbridge.WVPluginManager
import com.alibaba.android.arouter.facade.annotation.Route
import org.zxq.teleri.arouter.constant.ARouterUrl
import org.zxq.teleri.core.AppConfig
import org.zxq.teleri.ui.windvareweb.BasicWebActivity
import org.zxq.teleri.windvareweb.plugin.BMMaintainJSBridge
import org.zxq.teleri.windvareweb.plugin.BMOrderListJSBridge
import org.zxq.teleri.windvareweb.plugin.WVJsBrideManager

/**
 *   @author     Deman.LU
 *   @Date       2019/1/11
 *  新的订单页面，接入windvare webview，
 */
@Route(path = ARouterUrl.URL_MAIN_ORDER_LIST)
class OrderListWebActivity:BasicWebActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setTransparentStatusBar()
        try {
            WVPluginManager.registerPlugin(WVJsBrideManager.BM_ORDERLIST_JS_BRIDGE, BMOrderListJSBridge::class.java)
            WVPluginManager.registerPlugin(WVJsBrideManager.BM_MAINTAIN_JS_BRIDGE,BMMaintainJSBridge::class.java)
        } catch (e: Exception) {
        }
    }

    override fun resetWebData() {
        basicWebData.isShowTitle = false
        basicWebData.isShare = false
        if(basicWebData.url.isEmpty()){
            basicWebData.url = AppConfig.URL_H5_BASE + "/order"
        }else{
            basicWebData.url += "&isfrombusiness=true"
        }

//        basicWebData.url = "http://30.16.106.79:3000/#/order/list"
    }

    override fun onDestroy() {
        try {
            WVPluginManager.unregisterPlugin(WVJsBrideManager.BM_ORDERLIST_JS_BRIDGE)
            WVPluginManager.unregisterPlugin(WVJsBrideManager.BM_MAINTAIN_JS_BRIDGE)
        } catch (e: Exception) {
        }
        super.onDestroy()

    }

}