package org.zxq.teleri.orders.fragment

import com.ebanma.sdk.flow.bean.RestFlowInfoBean
import com.ebanma.sdk.flow.service.IFlowService
import org.zxq.teleri.R
import org.zxq.teleri.orders.OrderConstants
import org.zxq.teleri.personalcenter.bean.FlowDataBean

/**
 *   @author     Deman.LU
 *   @date       2019/4/25
 *
 */
class WifiFlowFragment : FlowFragment() {
    override fun getMusicIconRes(): Int = R.drawable.personal_icon_wifi

    override fun getCatId(): IFlowService.GoodsCat = IFlowService.GoodsCat.WIFI_CAT_ID

    override fun getTitle(): String = resources.getString(R.string.wifi_data1)

    override fun getSurPlusDataFlow(data: FlowDataBean): FlowDataBean.FlowSurplusBean? =
            if (!data.flowsurpluses.isNullOrEmpty()) {
                data.flowsurpluses[1]
            } else {
                null
            }

    override fun getDataRecordPageName(): String = "person_wifi_flow"

    override fun getDataFlowType(): Int = OrderConstants.WIFI_TYPE

    override fun parseFlowData(result: RestFlowInfoBean.ResultObjBean): Pair<Int, String> {
        var sweep = 0;
        result.wifi?.apply {
//            sweep = if (total > 0) rest * 100 / total else 0;
            if(flowType==2){
                if (totalTime>0){
                    sweep = (restTime*100/totalTime).toInt()
                }
            }else{
                if (total>0){
                    sweep = (rest*100/total).toInt();
                }
            }
        }
        return Pair(sweep, result.wifi.visualizationRest);
    }
}