/*
 *
 *  *
 *  *  * **************************************************************************************
 *  *  *  *
 *  *  *  *  Project:        ZXQ
 *  *  *  *
 *  *  *  *  Copyright ©     2014-2017 Banma Technologies Co.,Ltd
 *  *  *  *                  All rights reserved.
 *  *  *  *
 *  *  *  *  This software is supplied only under the terms of a license agreement,
 *  *  *  *  nondisclosure agreement or other written agreement with Banma Technologies
 *  *  *  *  Co.,Ltd. Use, redistribution or other disclosure of any parts of this
 *  *  *  *  software is prohibited except in accordance with the terms of such written
 *  *  *  *  agreement with Banma Technologies Co.,Ltd. This software is confidential
 *  *  *  *  and proprietary information of Banma Technologies Co.,Ltd.
 *  *  *  *
 *  *  *  ***************************************************************************************
 *  *  *  *
 *  *  *  *  Header Name:
 *  *  *  *
 *  *  *  *  General Description: Copyright and file header.
 *  *  *  *
 *  *  *  *  Revision History:
 *  *  *  *                           Modification
 *  *  *  *   Author                Date(MM/DD/YYYY)   JiraID           Description of Changes
 *  *  *  *   JohnFan               12/21/2018
 *  *  *  *
 *  *  *  ***************************************************************************************
 *  *
 *
 *
 */

package org.zxq.teleri.test

import android.content.Intent
import android.os.Bundle
import android.view.View
import android.view.Window
import android.view.WindowManager
import android.widget.AdapterView
import android.widget.AdapterView.OnItemClickListener
import android.widget.ArrayAdapter
import android.widget.ImageView
import android.widget.TextView
import kotlinx.android.synthetic.main.activity_dev_test.*
import org.zxq.teleri.R
import org.zxq.teleri.core.base.SuperActivity
import org.zxq.teleri.core.constant.RouteUrl
import org.zxq.teleri.core.route.Router
import org.zxq.teleri.core.utils.ContextPool
import org.zxq.teleri.ui.utils.AppUtils

class DevTestActivity : SuperActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        window.setFlags(WindowManager.LayoutParams.FLAG_TRANSLUCENT_STATUS,
                WindowManager.LayoutParams.FLAG_TRANSLUCENT_STATUS)
        requestWindowFeature(Window.FEATURE_NO_TITLE)
        setContentView(R.layout.activity_dev_test)
        initTitleBar()
        initViews()

    }

    private fun initViews() {
        var arrayAdapter = ArrayAdapter<Any>(this, android.R.layout.simple_list_item_1)
        arrayAdapter.add("俊杰")
        arrayAdapter.add("元春")
        arrayAdapter.add("国威")
        arrayAdapter.add("唐辉")
        arrayAdapter.add("雷雄")
        arrayAdapter.add("伟耀")
        arrayAdapter.add("玉辉")
        arrayAdapter.add("佳佳")
        lvList.adapter = arrayAdapter
        lvList.onItemClickListener = OnItemClickListener { _: AdapterView<*>, view1: View, _: Int, _: Long ->
            val text = view1.findViewById<TextView>(android.R.id.text1).text
//            AppUtils.showToast("view= $text")
            when (text) {
                "俊杰" -> this.startActivity(Intent(ContextPool.getApplication(), JohnFanTestActivity::class.java))
                "元春" -> Router.route(RouteUrl.URL_FLOATING_DEVELOP_TOOLS)
                "雷雄"->this.startActivity(Intent(ContextPool.getApplication(), LeiXiongTestActivity::class.java))
                //TODO 增加需要的测试类
                else ->AppUtils.showToast(" $text 还未增加测试类，请在${DevTestActivity::class.simpleName}中增加")

            }
        }
    }

    private fun initTitleBar() {
        val mImvBack = findViewById<ImageView>(R.id.back)
        val mTvTitle = findViewById<TextView>(R.id.title_tv)
        mTvTitle.text = getString(R.string.title_activity_dev_test)
        mImvBack.setOnClickListener { _ -> finish() }

    }

}
