/*
 *
 *  *
 *  *  * **************************************************************************************
 *  *  *  *
 *  *  *  *  Project:        ZXQ
 *  *  *  *
 *  *  *  *  Copyright ©     2014-2017 Banma Technologies Co.,Ltd
 *  *  *  *                  All rights reserved.
 *  *  *  *
 *  *  *  *  This software is supplied only under the terms of a license agreement,
 *  *  *  *  nondisclosure agreement or other written agreement with Banma Technologies
 *  *  *  *  Co.,Ltd. Use, redistribution or other disclosure of any parts of this
 *  *  *  *  software is prohibited except in accordance with the terms of such written
 *  *  *  *  agreement with Banma Technologies Co.,Ltd. This software is confidential
 *  *  *  *  and proprietary information of Banma Technologies Co.,Ltd.
 *  *  *  *
 *  *  *  ***************************************************************************************
 *  *  *  *
 *  *  *  *  Header Name:
 *  *  *  *
 *  *  *  *  General Description: Copyright and file header.
 *  *  *  *
 *  *  *  *  Revision History:
 *  *  *  *                           Modification
 *  *  *  *   Author                Date(MM/DD/YYYY)   JiraID           Description of Changes
 *  *  *  *   JohnFan               12/21/2018
 *  *  *  *
 *  *  *  ***************************************************************************************
 *  *
 *
 *
 */

package org.zxq.teleri.test

import android.content.Intent
import android.os.Bundle
import io.reactivex.schedulers.Schedulers
import kotlinx.android.synthetic.main.activity_john_fan_test.*
import org.zxq.teleri.R
import org.zxq.teleri.common.tools.LoggerUtils
import org.zxq.teleri.core.base.SuperActivity
import org.zxq.teleri.flutter.FlutterDemoActivity
import org.zxq.teleri.model.request.open.GetOemTokensRequest
import org.zxq.teleri.ui.utils.AppUtils

class JohnFanTestActivity : SuperActivity() {
    val TAG = "JohnFanTestActivity";

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_john_fan_test)
        initViews()
    }

    private fun initViews() {
        //测试flutter页面
        btnTestFlutter.setOnClickListener { _ -> startActivity(Intent(this, FlutterDemoActivity::class.java)) }
        //测试网络请求
        btnTestRequest.setOnClickListener { testRequest() }
    }

    private fun testRequest() {
        GetOemTokensRequest().prepare().subscribeOn(Schedulers.io()).subscribe { result ->
            AppUtils.showToast("$result")
            LoggerUtils.i(TAG, result)
        }


    }
}
