package org.zxq.teleri.utils

import com.amap.api.location.AMapLocation

/**
 *   @author     Deman.LU
 *   @Date       2019/1/24
 *
 */
class AMapLocationManager private constructor(){

    /**
     * 同步获取，可能未初始化完成，需要调用者自己处理
     * 建议使用异步方式获取
     */
    var aMapLocation:AMapLocation? = null
    private set(value){
        field = value
    }

    companion object {
        val instance  = AMapLocationManager()
    }

    fun initLocation() {
        AMapUtilsZXQ.getCurrentLocation().doOnNext { mapLocation ->
            aMapLocation = mapLocation
        }.subscribe()
    }

    fun getLocationASync(onAMapLocationListener: OnAMapLocationListener){
        aMapLocation?.let {
            onAMapLocationListener.onAMapLocation(it)
        }?:kotlin.run {
            AMapUtilsZXQ.getCurrentLocation().doOnNext { mapLocation ->
                aMapLocation = mapLocation
                onAMapLocationListener.onAMapLocation(mapLocation)
            }.subscribe()
        }
    }


    interface OnAMapLocationListener{
        fun onAMapLocation(aMapLocation: AMapLocation)
    }

}