/*
 *
 *  * **************************************************************************************
 *  *  *
 *  *  *  Project:        ZXQ
 *  *  *
 *  *  *  Copyright ©     2014-2018 Banma Technologies Co.,Ltd
 *  *  *                  All rights reserved.
 *  *  *
 *  *  *  This software is supplied only under the terms of a license agreement,
 *  *  *  nondisclosure agreement or other written agreement with Banma Technologies
 *  *  *  Co.,Ltd. Use, redistribution or other disclosure of any parts of this
 *  *  *  software is prohibited except in accordance with the terms of such written
 *  *  *  agreement with Banma Technologies Co.,Ltd. This software is confidential
 *  *  *  and proprietary information of Banma Technologies Co.,Ltd.
 *  *  *
 *  *  ***************************************************************************************
 *  *  *
 *  *  *  Header Name:
 *  *  *
 *  *  *  General Description: Copyright and file header.
 *  *  *
 *  *  *  Revision History:
 *  *  *                           Modification
 *  *  *   Author  Deman.LU        Date(MM/DD/YYYY)   JiraID       Description of Changes
 *  *  *
 *  *  *
 *  *  ***************************************************************************************
 *
 */

package org.zxq.teleri.web.route

import org.zxq.teleri.core.constant.RouteUrl
import org.zxq.teleri.core.route.RouteHandler
import org.zxq.teleri.core.route.RouteRequest
import org.zxq.teleri.core.utils.ContextPool
import org.zxq.teleri.core.utils.Json
import org.zxq.teleri.core.webview.WebData
import org.zxq.teleri.utils.IntentUtil

/**
 *   @author     Deman.LU
 *   @Date       18/8/3
 *
 */
class CommonWebHandler:RouteHandler {

    override fun getUrl(): String = RouteUrl.URL_WEB_COMMON_WEB

    override fun execute(request: RouteRequest): Boolean {
        try {
            val data = Json.from(request.data, WebData::class.java)
            IntentUtil.startWebActivityWithWabData(ContextPool.peek(),data)
        }catch (e:Exception){

        }
        return true
    }

}