package org.zxq.teleri.windvareweb.plugin

import android.app.Activity
import android.content.Intent
import android.taobao.windvane.jsbridge.WVApiPlugin
import android.taobao.windvane.jsbridge.WVCallBackContext
import com.alibaba.android.arouter.launcher.ARouter
import org.zxq.teleri.arouter.constant.ARouterUrl
import org.zxq.teleri.core.utils.LogUtils
import org.zxq.teleri.global.Constant
import org.zxq.teleri.roadhelp.BCallActivity
import org.zxq.teleri.ui.web.BaseWebActivity

/**
 *   @author     Deman.LU
 *   @Date       2019/1/14
 *
 */
class BMOrderListJSBridge:WVApiPlugin() {
    override fun execute(action: String?, params: String?, callback: WVCallBackContext?): Boolean {
        LogUtils.i("WV BMOrderListJSBridge $action")
        val map = BmJsonHelper.getMap(params)
        return action?.let {
            when(it){
                "toPersonalCenter"->{
                    toPersonalCenter(callback)
                    true
                }
                "callMap"->{
                    bCallMap(params,callback)
                    true
                }
                "finish"->{
                    finish(callback)
                    true
                }
                else ->{
                    false
                }
            }
        }?:kotlin.run {
            false
        }
    }

    private fun bCallMap(params: String?, callback: WVCallBackContext?) {
        val intent = Intent(mContext, BCallActivity::class.java)
        intent.putExtra(BCallActivity.ORDER_JSON, params)
        intent.putExtra(BaseWebActivity.URL_KEY, Constant.RESCUE_ORDER_MAP)
        intent.putExtra(BaseWebActivity.TITLE_KEY, "救援详情")
        mContext.startActivity(intent)
        callback?.success()
    }

    private fun toPersonalCenter(callback: WVCallBackContext?) {
        ARouter.getInstance().build(ARouterUrl.URL_MAIN_GOTO_MAIN).withInt("position",2).navigation()
        callback?.success()
    }

    private fun finish(callback: WVCallBackContext?) {
        mContext?.let {
            if(it is Activity){
                it.finish()
                callback?.success()
                return
            }
        }
        callback?.error()
    }
}