package org.zxq.teleri.windvareweb.plugin

import org.json.JSONArray
import org.json.JSONException
import org.json.JSONObject


/**
 *   @author     Deman.LU
 *   @Date       2019/1/23
 *
 */
class BmJsonHelper {

    companion object {
        /**
         *
         * 将json 数组转换为Map 对象
         *
         * @param jsonString
         *
         * @return
         */
        @JvmStatic
        fun getMap(jsonString: String?): Map<String, Any>? {

            if(jsonString.isNullOrEmpty()){
                return null
            }

            val jsonObject: JSONObject
            try {
                jsonObject = JSONObject(jsonString)
                val keyIter = jsonObject.keys()
                var key: String
                var value: Any
                val valueMap = HashMap<String, Any>()
                while (keyIter.hasNext()) {
                    key = keyIter.next()
                    value = jsonObject.get(key)
                    valueMap[key] = value
                }
                return valueMap
            } catch (e: JSONException) {
                e.printStackTrace()
            }

            return null

        }


        /**
         * 把json 转换为ArrayList 形式
         * @return
         */
        @JvmStatic
        fun getList(jsonString: String): List<Map<String, Any>>? {
            var list: MutableList<Map<String, Any>>? = null
            try {
                val jsonArray = JSONArray(jsonString)
                var jsonObject: JSONObject
                list = ArrayList()
                for (i in 0 until jsonArray.length()) {
                    jsonObject = jsonArray.getJSONObject(i)
                    val map = getMap(jsonObject.toString())
                    map?.let {
                        list.add(map)
                    }
                }
            } catch (e: Exception) {
                e.printStackTrace()
            }

            return list

        }
    }


}