package org.zxq.teleri.windvareweb.plugin

import android.taobao.windvane.jsbridge.WVPluginManager
import org.zxq.teleri.core.utils.LogUtils

/**
 *   @author     Deman.LU
 *   @Date       2019/1/11
 *   基础公共的功能放在BmJsBridgePlugin中，这个是全局的，不释放
 *   其它模块也放在这里注册，和释放
 *
 */
class WVJsBrideManager {

    companion object {
        val instance = WVJsBrideManager()

        /*基础js name 不可修改，同iOS一致*/
        const val BMJSBridge = "BMJSBridge"

        const val BM_ORDERLIST_JS_BRIDGE   = "BMOrderListJSBridge"
        const val BM_MAINTAIN_JS_BRIDGE    = "BMMaintainJSBridge"
    }


    fun setupPlugin(){
        LogUtils.i("WVJsBrideManager init")
        WVPluginManager.registerPlugin(BMJSBridge,BmJsBridgePlugin::class.java)
    }

    /**
     * 目前只提供给H5 调试使用，一般页面不要使用
     */
    fun registerAllPlugin(){
        LogUtils.i("WVJsBrideManager registerAllPlugin")
        try {
            WVPluginManager.registerPlugin(WVJsBrideManager.BM_ORDERLIST_JS_BRIDGE, BMOrderListJSBridge::class.java)
            WVPluginManager.registerPlugin(WVJsBrideManager.BM_MAINTAIN_JS_BRIDGE,BMMaintainJSBridge::class.java)
        } catch (e: Exception) {
        }
    }

    fun unRegisterAllPlunin(){
        LogUtils.i("WVJsBrideManager unRegisterAllPlunin")
        try {
            WVPluginManager.unregisterPlugin(WVJsBrideManager.BM_ORDERLIST_JS_BRIDGE)
            WVPluginManager.unregisterPlugin(WVJsBrideManager.BM_MAINTAIN_JS_BRIDGE)
        } catch (e: Exception) {
        }
    }

}