package org.zxq.teleri.windvareweb.router

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import org.zxq.teleri.arouter.provider.ARouterProvider
import org.zxq.teleri.arouter.provider.ARouterRequestListener
import org.zxq.teleri.arouter.provider.WindVareRouterProver
import org.zxq.teleri.core.constant.RouteUrl
import org.zxq.teleri.core.route.RouteHandler
import org.zxq.teleri.core.route.RouteRequest
import org.zxq.teleri.core.utils.LogUtils
import org.zxq.teleri.windvareweb.plugin.WVJsBrideManager

/**
 *   @author     Deman.LU
 *   @Date       2019/1/11
 *
 */
@Route(path = "/windvane/register", name="windvane register")
class WVPluginRegisterHandler:RouteHandler, WindVareRouterProver {
    override fun getUrl(): String = RouteUrl.URL_WEB_PLUGIN_REGISTER

    override fun execute(request: RouteRequest?): Boolean {
        WVJsBrideManager.instance.setupPlugin()
        return true
    }

    override fun router(request: String, listener: ARouterRequestListener?) {
        when(request){
            "register"->{
                WVJsBrideManager.instance.registerAllPlugin()
            }
            "unregister"->{
                WVJsBrideManager.instance.unRegisterAllPlunin()
            }
            else->{
                LogUtils.w("$request is wrong")
            }
        }
    }

    override fun init(context: Context?) {

    }
}